# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# perl_vendorlib/perl_vendorarch not defined by default prior to F-2
%{!?perl_vendorlib: %global perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)}

# RPM and Perl versioning doesn't work the same way, so work around it
%global extraversion 0205

# We don't really need ExtUtils::MakeMaker ≥ 6.30
%global old_eumm %(perl -MExtUtils::MakeMaker -e 'print (($ExtUtils::MakeMaker::VERSION) < 6.30 ? 1 : 0);' 2>/dev/null || echo 0)

Name:		perl-ExtUtils-CBuilder
Epoch:		1
Version:	0.28
Release:	8.%{__distinit}%{__distvers}
Summary:	Compile and link C code for Perl modules
Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/ExtUtils-CBuilder/
Source0:	http://search.cpan.org/CPAN/authors/id/D/DA/DAGOLDEN/ExtUtils-CBuilder-%{version}%{?extraversion}.tar.gz
Patch0:		ExtUtils-CBuilder-0.280205-old-eumm.patch
Patch1:		ExtUtils-CBuilder-0.280202-utf8.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(Cwd)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(File::Basename)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(File::Temp)
BuildRequires:	perl(IO::File)
BuildRequires:	perl(IPC::Cmd)
BuildRequires:	perl(Perl::OSType)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Text::ParseWords)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This module can build the C portions of Perl modules by invoking the
appropriate compilers and linkers in a cross-platform manner. It was
motivated by the Module::Build project, but may be useful for other
purposes as well.

%prep
%setup -q -n ExtUtils-CBuilder-%{version}%{?extraversion}

# We don't really need ExtUtils::MakeMaker ≥ 6.30
%if %{old_eumm}
%patch0 -p1
%endif

# All docs should be UTF-8
%patch1 -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} ';' 2>/dev/null
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE
%{perl_vendorlib}/ExtUtils/
%{_mandir}/man3/ExtUtils::CBuilder.3pm*
%{_mandir}/man3/ExtUtils::CBuilder::Platform::Windows.3pm*

%changelog
* Thu Feb 23 2012 Paul Howarth <paul@city-fan.org> - 1:0.28-8
- Update to 0.280205
  - Refactored OS name mapping to use Perl::OSType
  - Appends CFLAGS and LDFLAGS environments instead of overriding
  - Reset ccflags on compilation for VMS.
  - Fixed bug picking up ccflags from Config
  - Quotation style cleanup
- BR: perl(Cwd), perl(File::Basename), perl(File::Spec), perl(File::Temp),
  perl(IO::File), perl(Perl::OSType) and perl(Text::ParseWords)
- Update patch for building with old ExtUtils::MakeMaker
- Upstream no longer shipping README

* Mon Oct 17 2011 Paul Howarth <paul@city-fan.org> - 1:0.28-7
- Use a patch rather than scripted iconv to fix character encoding
- Fix dist tag for CentOS 6 and Scientific Linux

* Fri Jun 24 2011 Paul Howarth <paul@city-fan.org> - 1:0.28-6
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands

* Mon Jan 24 2011 Paul Howarth <paul@city-fan.org> - 1:0.28-5
- Update to 0.280202
  - Different file names used for test files; allows EU::CB tests to be run in
    parallel

* Sun Jan 23 2011 Paul Howarth <paul@city-fan.org> - 1:0.28-4
- Update to 0.280201
  - t/04-base.t no longer attempts to compile or link as this provokes failures
    on main platforms
  - Various typo fixes in Pod or comments
- Package LICENSE and README
- Add patch for building with ExtUtils::MakeMaker < 6.31

* Sun Dec 12 2010 Paul Howarth <paul@city-fan.org> - 1:0.28-3
- Update to 0.2802
  - Incorporated another t/04-base.t fix from bleadperl

* Thu Dec  9 2010 Paul Howarth <paul@city-fan.org> - 1:0.28-2
- Update to 0.2801
  - Fixed spurious t/04-base.t failure when run from Perl core

* Wed Dec  8 2010 Paul Howarth <paul@city-fan.org> - 1:0.28-1
- Update to 0.2800
  - Code base modernization and substantial code coverage improvements
  - Rely on File::Temp::tempfile and File::Spec::tmpdir to get unique file
    name for checking for compiler
  - Handle C compiler and C++ compiler separately
  - Tests no longer fail if user has set the CC environment variable
  - Fix Win32 split_like_shell escaping
  - Fix t/02-link.t on perl < 5.8
  - Preserve exit status on VMS
- Bump epoch to 1 as per the Fedora package
- BR: perl(IPC::Cmd)

* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> - 0.27-6
- Rebuild for perl 5.12.1 in Rawhide

* Mon Jun  7 2010 Paul Howarth <paul@city-fan.org> - 0.27-5
- Fix dist tag for RHEL-6 Beta

* Wed Mar 17 2010 Paul Howarth <paul@city-fan.org> - 0.27-4
- Update to 0.2703 (fixed tests for Windows and MSVC)

* Tue Feb 23 2010 Paul Howarth <paul@city-fan.org> - 0.27-3
- Update to 0.2702 (compile() changes in 0.2701 fixed to work on Windows too)

* Wed Feb 17 2010 Paul Howarth <paul@city-fan.org> - 0.27-2
- Update to 0.2701 (compile() now accepts both string and array for
  'include_dirs' argument, as documented - CPAN RT#54606)
- Recode Changes as UTF-8
- Dist tag for Rawhide no longer needs special-casing
- Use %%{_fixperms} macro instead of our own %%{__chmod} incantation

* Fri Oct 30 2009 Paul Howarth <paul@city-fan.org> - 0.27-1
- Update to 0.27
  - removed Build.PL to avoid creating a circular dependency
  - lots of fixes for Windows platform
  - added 'have_cplusplus()' method to check for C++ support
  - made have_compiler (and have_cplusplus) quiet
  - allow CC environment variable to override $Config{cc}

* Tue Sep  1 2009 Paul Howarth <paul@city-fan.org> - 0.26-5
- Update to 0.260301 (fix linking error on Win32 with gcc compiler (RT#49000))

* Mon Jul 27 2009 Paul Howarth <paul@city-fan.org> - 0.26-4
- Update to 0.2603 (fix INSTALLDIRS setting for older Perls (RT#47985))

* Sat Jul  4 2009 Paul Howarth <paul@city-fan.org> - 0.26-3
- Update to 0.2602 (fixed 00-have-compiler.t if $^X is a relative path)

* Thu Jul  2 2009 Paul Howarth <paul@city-fan.org> - 0.26-2
- Update to 0.2601 (fixes for VMS build; RPM version not changed because perl
  module versioning doesn't work like RPM package versioning)

* Tue Jun 30 2009 Paul Howarth <paul@city-fan.org> - 0.26-1
- Update to 0.26 (use Test::More, test for have_compiler)

* Mon Jun 29 2009 Paul Howarth <paul@city-fan.org> - 0.25-1
- Update to 0.25 (changes for non-Linux platforms)
- Define RPM macros in global scope
- New upstream maintainer -> new source URL

* Mon Aug 18 2008 Paul Howarth <paul@city-fan.org> - 0.24-1
- Update to 0.24
- Tweak dist tag macros to work on current Rawhide with three-part releasenum

* Mon Apr 21 2008 Paul Howarth <paul@city-fan.org> - 0.23-1
- Update to 0.23

* Mon Feb 11 2008 Paul Howarth <paul@city-fan.org> - 0.22-1
- Update to 0.22

* Wed Oct 31 2007 Paul Howarth <paul@city-fan.org> - 0.21-1
- Update to 0.21
- Unexpand tabs in spec
- Clarify license as GPL version 1or later, or Artistic (i.e. same as perl)

* Mon May 14 2007 Paul Howarth <paul@city-fan.org> - 0.19-1
- Update to 0.19

* Sun Mar 18 2007 Paul Howarth <paul@city-fan.org> - 0.18-2
- Fix dist tag for development builds
- Buildrequire perl(ExtUtils::MakeMaker)
- Fix argument order for find with -depth

* Mon Mar 27 2006 Paul Howarth <paul@city-fan.org> - 0.18-1
- Update to 0.18

* Thu Mar 16 2006 Paul Howarth <paul@city-fan.org> - 0.17-1
- Update to 0.17

* Tue Mar 14 2006 Paul Howarth <paul@city-fan.org> - 0.16-1
- Update to 0.16

* Fri Mar  3 2006 Paul Howarth <paul@city-fan.org> - 0.15-1
- Import from Fedora Extras
